@use '@angular/material' as mat;

.toolbar-button {
  background-color: inherit !important;
  color: inherit !important;
}

.mat-toolbar.mat-primary {
  position: sticky;
  top: 0;
  z-index: 1;
}

.mat-toolbar-row,
.mat-toolbar-single-row {
  height: 64px;
}

.ml-auto {
  margin-left: auto;
}

.flex {
  display: flex;
}

.flex-col {
  flex-direction: column;
}

.flex-shrink-0 {
  flex-shrink: 0;
}

.h-full {
  height: 100%;
}

.mt-auto {
  margin-top: auto;
}

.mb-auto {
  margin-bottom: auto;
}

.overflow-y-auto {
  overflow-y: auto; /* Scroll if needed */
}

.logo {
  padding: 0.5rem;
  box-sizing: border-box;
}

.white_space_break {
  white-space: normal;
  line-height: 1.5;
  display: inline-block;
}


/* Persistent ripple effect */
.mat-mdc-button-persistent-ripple {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: inherit;
  pointer-events: none;
  opacity: 1;
  transition: opacity 0.3s ease-in-out;
}

// Define a fallback background color using Angular Material's palette functions
// TODO: change back to theming
$default-active-bg: #004000;

.toolbar-button.active-link {
  background-color: var(--active-link-bg-color, #{$default-active-bg}) !important; /* Use CSS variable, fallback to default */
}
